"""Utility functions"""

# AUTOGENERATED! DO NOT EDIT! File to edit: ../notebooks/02_utils.ipynb.

# %% auto 0
__all__ = ['astronaut', 'imshow']

# %% ../notebooks/02_utils.ipynb 3
import torch
from skimage import img_as_float
from skimage.color import rgb2gray
from skimage.data import astronaut as _astronaut

# %% ../notebooks/02_utils.ipynb 4
def astronaut(dtype: torch.dtype = torch.float32):
    img = _astronaut()
    img = img_as_float(img)
    img = rgb2gray(img)
    img = torch.from_numpy(img).to(dtype)
    return img[None, None]

# %% ../notebooks/02_utils.ipynb 5
import matplotlib.pyplot as plt


def imshow(*imgs):
    imgs = [img.squeeze().detach().cpu() for img in imgs]
    n_imgs = len(imgs)
    fig, axs = plt.subplots(ncols=n_imgs, figsize=(n_imgs * 2 + 2, 3))
    for ax, img in zip(axs, imgs):
        ax.imshow(img, cmap="gray")
        ax.axis("off")
    plt.tight_layout()
    return fig, axs
